@import "@/assets/styles/abstracts/mixins";

.sidebar{
   position: fixed;

  
   
    padding: 8.6rem 2.4rem ;
    height: 100vh;
    @include flex-container(space-between,center,column);
   
}
.sidebar__icon{
    width: 3.2rem;
    height: 3.2rem;
    margin-bottom: 4.6rem;
}
.icons__section{
    @include flex-container(space-between,center,column);
}
.sidebar__icons{
    
    @include flex-container(space-between,center,column);
}

.mobile-only{
    display: none;
}
@include respond-to(medium-desktop){
    .sidebar{
     
       
        padding:6.45rem 1.6rem ;
    }
    .sidebar__icon{
        width: 2.4rem;
        height: 2.4rem;
        margin-bottom: 3.4rem;
        fill: bisque
    }
}

@include respond-to(mobile){
    .icons__section{
        @include flex-container(space-between,center,column);
    }
    .sidebar{
       box-shadow: 0 0 15px 2px #e9e8e8;
        background-color: white;
        right: 0;
        bottom: 0;
        border-radius: 3rem 3rem 0 0 ;
         padding: 1.8rem 3.2rem ;
         height: 10vh;
         width: 100%;
         @include flex-container(space-between,center,row);
        
     }
     .icons__section{
        margin-top: 5rem;
        @include flex-container(space-between,center,row);
        width: calc(50% - 70px);

     }
     .sidebar__icons{
        width: 100%;
        @include flex-container(space-between,center,row);
     }
     .sidebar__icon{
        width: 3.4rem;
        height: 3.4rem;
       
       
    }
    .mobile-only{
        display: inline-block;
    }

}